SELECT	SUM(r.quantidade) AS quantidade,
	SUM(r.total_original) AS total_original,
	SUM(r.total_negociado) AS total_negociado,
	SUM(r.desconto) AS desconto,
	SUM(r.acrescimo) AS acrescimo
FROM	(
	SELECT ivc.id_item,
		SUM(ROUND(ivc.quantidade * ((rv.valor_recebido - rv.valor_troco - COALESCE(ct.valor, 0)) / vc.total_venda), 3)) AS quantidade,
		ROUND(((SUM(ivc.preco_original) / COUNT(*)) * SUM(ROUND(ivc.quantidade * ((rv.valor_recebido - rv.valor_troco - COALESCE(ct.valor, 0)) / vc.total_venda), 3))),2) AS total_original,
		SUM(ROUND((ivc.total_bruto + (CASE WHEN ivc.acrescimo_automatico <= 0.05 THEN ivc.acrescimo_automatico ELSE 0.00 END)) * ((rv.valor_recebido - rv.valor_troco - COALESCE(ct.valor, 0)) / vc.total_venda), 2)) AS total_negociado,
		SUM(ROUND((ivc.desconto + ivc.desconto_automatico + ivc.desconto_rateado + ivc.desconto_automatico_rateado + ivc.desconto_ajuste_rateado + ivc.desconto_fidelidade_rateado + ivc.desconto_financeiro) * ((rv.valor_recebido - rv.valor_troco - COALESCE(ct.valor, 0)) / vc.total_venda), 2)) AS desconto,
		SUM(ROUND((ivc.acrescimo + (CASE WHEN ivc.acrescimo_automatico > 0.05 THEN ivc.acrescimo_automatico ELSE 0.00 END) + ivc.acrescimo_rateado + ivc.acrescimo_automatico_rateado + ivc.acrescimo_ajuste_rateado + ivc.acrescimo_financeiro) * ((rv.valor_recebido - rv.valor_troco - COALESCE(ct.valor, 0)) / vc.total_venda), 2)) AS acrescimo
	FROM	venda_cf AS vc
		INNER JOIN movimento_venda_terminal AS mvt ON (mvt.id_movimento_venda_terminal = vc.id_movimento_venda_terminal)
		INNER JOIN item_venda_cf AS ivc ON (ivc.id_venda_cf = vc.id_venda_cf)
		INNER JOIN item AS i ON (ivc.id_item = i.id_item)
		INNER JOIN recebimento_venda_cf AS rv ON (rv.id_venda_cf = vc.id_venda_cf)
		LEFT OUTER JOIN cheque_emitido AS ct ON (ct.id_venda_cf = ivc.id_venda_cf AND ct.tipo_cheque = 1)
	WHERE	mvt.id_movimento_venda_terminal = :Id
	AND	vc.id_cliente = 86396 -- Cliente Venda a Vista - Posto Vitória
	AND	vc.cancelada = 'N'
	AND	ivc.cancelado = 'N'
	AND	rv.cancelado = 'N'
	AND	EXISTS (SELECT 1 FROM condicao_venda AS cv WHERE cv.id_cliente = vc.id_cliente OR cv.id_item = i.id_item)
	GROUP BY 1 ) AS r